Embed collaborative experiences into your JavaScript app

Liveblocks empowers developers to embed performant collaborative features to any product in just days.

Companies of all sizes and industries use Liveblocks

Liveblocks Presence -
Show who’s in a document

Liveblocks Presence enables you to add things like live avatars and cursors to you product.

import { createClient, LiveList } from "@liveblocks/client";
const client = createClient({ publicApiKey: "pk_prod_xxxxxxxxxxxxxxxxxxxxxxxx",});
const room = client.enter("your-room-id", { initialPresence: {} });
const container = document.getElementById("root-container");
room.subscribe("others", (others) => { if (others.count === 0) { container.innerHTML = "You're the only one here."; } else if (others.count === 1) { container.innerHTML = "There is one other person here."; } else { container.innerHTML = "There are " + others.count + " other people here."; }});

Storage -
Sync engine for creative tools

Liveblocks Storage is a realtime sync engine designed for multiplayer creative tools such as Figma, Pitch, and Spline.

import { createClient, LiveList } from "@liveblocks/client";
const client = createClient({ publicApiKey: "pk_prod_xxxxxxxxxxxxxxxxxxxxxxxx",});
const room = client.enter("your-room-id", { initialPresence: { isTyping: false }, initialStorage: { todos: new LiveList([]) },});
const whoIsHere = document.getElementById("who_is_here");const todoInput = document.getElementById("todo_input");const someoneIsTyping = document.getElementById("someone_is_typing");
const { root } = await room.getStorage();
let todos = root.get("todos");

Add collaboration to your product today

We use cookies to collect data to improve your experience on our site. Read our Privacy Policy to learn more.

Embed collaborative experiences into your React app

Liveblocks empowers developers to embed performant collaborative features to any product in just days.

Companies of all sizes and industries use Liveblocks

Storage -
Sync engine for creative tools

Liveblocks Storage is a realtime sync engine designed for multiplayer creative tools such as Figma, Pitch, and Spline.

import { LiveObject } from "@liveblocks/client";  import { useStorage, useMutation } from "./liveblocks.config";    // Pass these to RoomProvider  const initialStorage = {    scientist: new LiveObject({      firstName: "Ada",      lastName: "Lovelace",    }),  };    export default function Form() {    const scientist = useStorage(root => root.scientist);      const update = useMutation(({ storage }, field, value) => {      storage.get('scientist').set(field, value);    }, []);      return (      <>        <input          value={scientist.firstName}          onChange={(e) => { update("firstName", e.target.value) }        />        <input          value={scientist.lastName}          onChange={(e) => { update("lastName", e.target.value) }        />      </>    );  }

Yjs -
Sync engine for text editors

Liveblocks Yjs is a realtime sync engine designed for collaborative text editors such as Notion and Google Docs.

import * as Y from "yjs";  import { createClient } from "@liveblocks/client";  import LiveblocksProvider from "@liveblocks/yjs";    const client = createClient({    publicApiKey: "pk_prod_xxxxxxxxxxxxxxxxxxxxxxxx",  });    const { room, leave } = client.enterRoom("your-room-id", {    initialPresence: {},  });    // Create Yjs document and provider  const yDoc = new Y.Doc();  const yProvider = new LiveblocksProvider(room, yDoc);

Add collaboration to your product today

We use cookies to collect data to improve your experience on our site. Read our Privacy Policy to learn more.